DBInterface (GWT Maven Archetype 3.1.0-3.0.0 API)
Date: 2014-02-28

org.gcube.application.aquamaps.aquamapsportlet.servlet.db

## Interface DBInterface

- All Known Implementing Classes:
    DBManager

      public interface DBInterface

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `addToAreaSelection(String user, List<org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced.Area> selection)`
    `int` | `addToObjectBasket(List<String> speciesIds, String userName, String title)`
    `int` | `addToUserBasket(List<String> speciesIds, String userName)`
    `int` | `changeGis(String userName, List<String> titles)`
    `int` | `clearBasket(String userName)`
    `int` | `clearObjectBasket(String userName, String title)`
    `void` | `clearPerturbation(String speciesId, String userName)`
    `int` | `createObjectsBySelection(List<String> ids, String title, ClientObjectType type, float threshold, String bbox, String username)`
    `int` | `deleteFetched(String objId)`
    `int` | `fetchGeneratedObjRelatedSpecies(int objId, List<String> speciesIds)`
    `int` | `fetchSpecies()`
    `List<org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced.Area>` | `getAreasByType(boolean includeFAO, boolean includeEEZ, boolean includeLME)`
    `List<org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced.Area>` | `getAreaSelection(String user)`
    `long` | `getBasketCount(String userName)`
    `String` | `getFetchedJSONBasket(int objId, int start, int limit, String sortColumn, String sortDirection)`
    `String` | `getJSONAreasByType(boolean includeFAO, boolean includeEEZ, boolean includeLME, org.gcube.application.aquamaps.aquamapsservice.stubs.fw.model.PagedRequestSettings settings)`
    `String` | `getJSONAreaSelection(String user, org.gcube.application.aquamaps.aquamapsservice.stubs.fw.model.PagedRequestSettings settings)`
    `String` | `getJSONObjectsByType(String userName, ClientObjectType type, int start, int limit, String sortColumn, String sortDirection)`
    `long` | `getObjectBasketCount(String userName, String title)`
    `List<String>` | `getObjectBasketIds(String userName, String title)`
    `long` | `getObjectCount(String userName)`
    `long` | `getObjectCountByType(String userName, ClientObjectType type)`
    `String` | `getObjectJSONBasket(String userName, String title, int start, int limit, String sortColumn, String sortDirection)`
    `List<ClientObject>` | `getObjects(String userName)`
    `String` | `getPerturbation(String speciesId, String userName)`
    `String` | `getPhylogenyJSON(String level)`
    `String` | `getSpecies()`
    `List<String>` | `getUserBasketIds(String userName)`
    `String` | `getUserJSONBasket(String userName, int start, int limit, String sortColumn, String sortDirection)`
    `boolean` | `isUpToDate()`
    `int` | `removeFromAreaSelection(String user, List<org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced.Area> toRemove)`
    `int` | `removeFromBasket(List<String> speciesIds, String userName)`
    `int` | `removeFromObjectBasket(List<String> speciesIds, String userName, String title)`
    `int` | `removeObjectByTitle(String userName, String title)`
    `int` | `removeObjectByType(String userName, ClientObjectType type)`
    `int` | `removeSession(String userName)`
    `void` | `setPerturbation(String speciesIds, String userName, String jsonString)`
    `int` | `updateObject(String userName, String oldTitle, String title, ClientObjectType type, String bbox, float threshold, boolean gis)`

- - ### Method Detail

    - #### getPhylogenyJSON

          String getPhylogenyJSON(String level)
                                  throws Exception

      Throws:
        `Exception`

    - #### getUserJSONBasket

          String getUserJSONBasket(String userName,
                                 int start,
                                 int limit,
                                 String sortColumn,
                                 String sortDirection)
                                   throws Exception

      Throws:
        `Exception`

    - #### getUserBasketIds

          List<String> getUserBasketIds(String userName)
                                        throws Exception

      Throws:
        `Exception`

    - #### removeFromBasket

          int removeFromBasket(List<String> speciesIds,
                             String userName)
                               throws Exception

      Throws:
        `Exception`

    - #### addToUserBasket

          int addToUserBasket(List<String> speciesIds,
                            String userName)
                              throws Exception

      Throws:
        `Exception`

    - #### getPerturbation

          String getPerturbation(String speciesId,
                               String userName)
                                 throws Exception

      Throws:
        `Exception`

    - #### setPerturbation

          void setPerturbation(String speciesIds,
                             String userName,
                             String jsonString)
                               throws Exception

      Throws:
        `Exception`

    - #### clearPerturbation

          void clearPerturbation(String speciesId,
                               String userName)
                                 throws Exception

      Throws:
        `Exception`

    - #### addToObjectBasket

          int addToObjectBasket(List<String> speciesIds,
                              String userName,
                              String title)
                                throws Exception

      Throws:
        `Exception`

    - #### removeFromObjectBasket

          int removeFromObjectBasket(List<String> speciesIds,
                                   String userName,
                                   String title)
                                     throws Exception

      Throws:
        `Exception`

    - #### getObjectJSONBasket

          String getObjectJSONBasket(String userName,
                                   String title,
                                   int start,
                                   int limit,
                                   String sortColumn,
                                   String sortDirection)
                                     throws Exception

      Throws:
        `Exception`

    - #### getObjectBasketIds

          List<String> getObjectBasketIds(String userName,
                                        String title)
                                          throws Exception

      Throws:
        `Exception`

    - #### clearObjectBasket

          int clearObjectBasket(String userName,
                              String title)
                                throws Exception

      Throws:
        `Exception`

    - #### clearBasket

          int clearBasket(String userName)
                          throws Exception

      Throws:
        `Exception`

    - #### removeSession

          int removeSession(String userName)
                            throws Exception

      Throws:
        `Exception`

    - #### removeObjectByTitle

          int removeObjectByTitle(String userName,
                                String title)
                                  throws Exception

      Throws:
        `Exception`

    - #### removeObjectByType

          int removeObjectByType(String userName,
                               ClientObjectType type)
                                 throws Exception

      Throws:
        `Exception`

    - #### createObjectsBySelection

          int createObjectsBySelection(List<String> ids,
                                     String title,
                                     ClientObjectType type,
                                     float threshold,
                                     String bbox,
                                     String username)
                                       throws Exception

      Throws:
        `Exception`

    - #### updateObject

          int updateObject(String userName,
                         String oldTitle,
                         String title,
                         ClientObjectType type,
                         String bbox,
                         float threshold,
                         boolean gis)
                           throws Exception

      Throws:
        `Exception`

    - #### changeGis

          int changeGis(String userName,
                      List<String> titles)
                        throws Exception

      Throws:
        `Exception`

    - #### getObjects

          List<ClientObject> getObjects(String userName)
                                        throws Exception

      Throws:
        `Exception`

    - #### getJSONObjectsByType

          String getJSONObjectsByType(String userName,
                                    ClientObjectType type,
                                    int start,
                                    int limit,
                                    String sortColumn,
                                    String sortDirection)
                                      throws Exception

      Throws:
        `Exception`

    - #### getSpecies

          String getSpecies()
                            throws Exception

      Throws:
        `Exception`

    - #### getBasketCount

          long getBasketCount(String userName)
                              throws Exception

      Throws:
        `Exception`

    - #### getObjectBasketCount

          long getObjectBasketCount(String userName,
                                  String title)
                                    throws Exception

      Throws:
        `Exception`

    - #### getObjectCount

          long getObjectCount(String userName)
                              throws Exception

      Throws:
        `Exception`

    - #### getObjectCountByType

          long getObjectCountByType(String userName,
                                  ClientObjectType type)
                                    throws Exception

      Throws:
        `Exception`

    - #### fetchGeneratedObjRelatedSpecies

          int fetchGeneratedObjRelatedSpecies(int objId,
                                            List<String> speciesIds)
                                              throws Exception

      Throws:
        `Exception`

    - #### getFetchedJSONBasket

          String getFetchedJSONBasket(int objId,
                                    int start,
                                    int limit,
                                    String sortColumn,
                                    String sortDirection)
                                      throws Exception

      Throws:
        `Exception`

    - #### deleteFetched

          int deleteFetched(String objId)
                            throws Exception

      Throws:
        `Exception`

    - #### addToAreaSelection

          int addToAreaSelection(String user,
                               List<org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced.Area> selection)
                                 throws Exception

      Throws:
        `Exception`

    - #### getJSONAreaSelection

          String getJSONAreaSelection(String user,
                                    org.gcube.application.aquamaps.aquamapsservice.stubs.fw.model.PagedRequestSettings settings)
                                      throws Exception

      Throws:
        `Exception`

    - #### getAreaSelection

          List<org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced.Area> getAreaSelection(String user)
                                                                                                              throws Exception

      Throws:
        `Exception`

    - #### removeFromAreaSelection

          int removeFromAreaSelection(String user,
                                    List<org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced.Area> toRemove)
                                      throws Exception

      Throws:
        `Exception`

    - #### getJSONAreasByType

          String getJSONAreasByType(boolean includeFAO,
                                  boolean includeEEZ,
                                  boolean includeLME,
                                  org.gcube.application.aquamaps.aquamapsservice.stubs.fw.model.PagedRequestSettings settings)
                                    throws Exception

      Throws:
        `Exception`

    - #### getAreasByType

          List<org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced.Area> getAreasByType(boolean includeFAO,
                                                                                                          boolean includeEEZ,
                                                                                                          boolean includeLME)
                                                                                                            throws Exception

      Throws:
        `Exception`

    - #### isUpToDate

          boolean isUpToDate()

    - #### fetchSpecies

          int fetchSpecies()
                           throws Exception

      Throws:
        `Exception`

Copyright © 2014. All Rights Reserved.